Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class FaultInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractMessageContainer
              org.apache.cxf.service.model.FaultInfo

All Implemented Interfaces:
  Extensible

    public class FaultInfo

extends AbstractMessageContainer

Field Summary

Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`mName`

Constructor Summary
`FaultInfo(javax.xml.namespace.QName fname, javax.xml.namespace.QName mname, OperationInfo info)`

Method Summary
`javax.xml.namespace.QName` | `getFaultName()`
`void` | `setFaultName(javax.xml.namespace.QName fname)`

Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`addMessagePart, addMessagePart, addMessagePart, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getName, getOperation, removeMessagePart, size`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultInfo

    public FaultInfo(javax.xml.namespace.QName fname,
                     javax.xml.namespace.QName mname,
                     OperationInfo info)

Method Detail

### getFaultName

    public javax.xml.namespace.QName getFaultName()

### setFaultName

    public void setFaultName(javax.xml.namespace.QName fname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.